[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TToolBar.FontChanged

Performs actions needed when the Font has changed for the control.

## Declaration

Source position: comctrls.pp line 2345

`protected procedure TToolBar.FontChanged(`
`Sender: TObject`
`); override;`

## Description

FontChanged is an overridden procedure which performs action needed when the Font for the control has been changed. FontChanged calls the inherited FontChanged method, and applies the new font to the Buttons in the tool bar. Values are reset in internal members used to track the realized height and width for buttons and drop downs in the tool bar.

## See also

TToolBar.Buttons |  | Lists with the tool buttons on the tool bar.
TCustomControl.FontChanged |  | Performs actions needed when the Font for the control has been changed.